Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DynamicContainmentItem, DynamicContainmentTree, VAbstractCategorization, VCategorizableElement, VCategorization, VCategorizationElement, VCategory, VCompoundControl, VContainedContainer, VContainedElement, VContainer, VControl, VCustomControl, VGroup, VGroupedGrid, VHorizontalLayout, VLabel, VSection, VSectionedArea, VStackItem, VStackLayout, VTableControl, VTreeMasterDetail, VVerticalLayout, VView, VViewProxy

All Known Implementing Classes:
  DynamicContainmentItemImpl, DynamicContainmentTreeImpl, VAbstractCategorizationImpl, VCategorizableElementImpl, VCategorizationElementImpl, VCategorizationImpl, VCategoryImpl, VCompoundControlImpl, VContainedContainerImpl, VContainedElementImpl, VContainerImpl, VControlImpl, VCustomControlImpl, VElementImpl, VGroupedGridImpl, VGroupImpl, VHorizontalLayoutImpl, VLabelImpl, VSectionedAreaImpl, VSectionImpl, VStackItemImpl, VStackLayoutImpl, VTableControlImpl, VTreeMasterDetailImpl, VVerticalLayoutImpl, VViewImpl, VViewProxyImpl

    public interface VElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Renderable'.

Since:
  1.2
See Also:
  `VViewPackage.getElement()`

Method Summary
`org.eclipse.emf.common.util.EList<VAttachment>` | `getAttachments()` Returns the value of the 'Attachments' containment reference list.
`VDiagnostic` | `getDiagnostic()` Returns the value of the 'Diagnostic' containment reference.
`String` | `getLabel()` Returns the value of the 'Label' attribute.
`String` | `getName()` Returns the value of the 'Name' attribute.
`boolean` | `isEnabled()` Returns the value of the 'Enabled' attribute.
`boolean` | `isReadonly()` Returns the value of the 'Readonly' attribute.
`boolean` | `isVisible()` Returns the value of the 'Visible' attribute.
`void` | `setDiagnostic(VDiagnostic value)` Sets the value of the '`Diagnostic`' containment reference.
`void` | `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute.
`void` | `setLabel(String value)` Sets the value of the '`Label`' attribute.
`void` | `setName(String value)` Sets the value of the '`Name`' attribute.
`void` | `setReadonly(boolean value)` Sets the value of the '`Readonly`' attribute.
`void` | `setVisible(boolean value)` Sets the value of the '`Visible`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `VViewPackage.getElement_Name()`

### setName

    void setName(String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getLabel

    String getLabel()

  Returns the value of the 'Label' attribute.

  If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label' attribute.
  Since:
    1.6
  See Also:
    `setLabel(String)`, `VViewPackage.getElement_Label()`

### setLabel

    void setLabel(String value)

  Sets the value of the '`Label`' attribute.

  Parameters:
    `value` - the new value of the 'Label' attribute.
  Since:
    1.6
  See Also:
    `getLabel()`

### isVisible

    boolean isVisible()

  Returns the value of the 'Visible' attribute. The default value is `"true"`.

  If the meaning of the 'Visible' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Visible' attribute.
  See Also:
    `setVisible(boolean)`, `VViewPackage.getElement_Visible()`

### setVisible

    void setVisible(boolean value)

  Sets the value of the '`Visible`' attribute.

  Parameters:
    `value` - the new value of the 'Visible' attribute.
  See Also:
    `isVisible()`

### isEnabled

    boolean isEnabled()

  Returns the value of the 'Enabled' attribute. The default value is `"true"`.

  If the meaning of the 'Enabled' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `setEnabled(boolean)`, `VViewPackage.getElement_Enabled()`

### setEnabled

    void setEnabled(boolean value)

  Sets the value of the '`Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Enabled' attribute.
  See Also:
    `isEnabled()`

### isReadonly

    boolean isReadonly()

  Returns the value of the 'Readonly' attribute. The default value is `"false"`.

  If the meaning of the 'Readonly' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Readonly' attribute.
  See Also:
    `setReadonly(boolean)`, `VViewPackage.getElement_Readonly()`

### setReadonly

    void setReadonly(boolean value)

  Sets the value of the '`Readonly`' attribute.

  Parameters:
    `value` - the new value of the 'Readonly' attribute.
  See Also:
    `isReadonly()`

### getDiagnostic

    VDiagnostic getDiagnostic()

  Returns the value of the 'Diagnostic' containment reference.

  If the meaning of the 'Diagnostic' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagnostic' containment reference.
  See Also:
    `setDiagnostic(VDiagnostic)`, `VViewPackage.getElement_Diagnostic()`

### setDiagnostic

    void setDiagnostic(VDiagnostic value)

  Sets the value of the '`Diagnostic`' containment reference.

  Parameters:
    `value` - the new value of the 'Diagnostic' containment reference.
  See Also:
    `getDiagnostic()`

### getAttachments

    org.eclipse.emf.common.util.EList<VAttachment> getAttachments()

  Returns the value of the 'Attachments' containment reference list. The list contents are of type `VAttachment`.

  If the meaning of the 'Attachments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attachments' containment reference list.
  See Also:
    `VViewPackage.getElement_Attachments()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.